<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Contact extends Model 
{

    protected $table = 'contacts';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function address()
    {
        return $this->belongsTo('Address');
    }

    public function api()
    {
        return $this->belongsTo('Api');
    }

    public function infrastucture()
    {
        return $this->belongsTo('Infrastructure');
    }

}