<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Person extends Model 
{

    protected $table = 'persons';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function contacts()
    {
        return $this->hasMany('Contact');
    }

    public function address()
    {
        return $this->belongsTo('Address');
    }

}